# $Id: Makefile.am 29957 2026-05-13 16:34:56Z yeti-dn $
# vim: set columns=120 :

DIST_SUBDIRS = src

# Odds and ends (drawings, splash screen, etc.).
# FIXME: gwyddion.ico is probably entirely obsolete.
pixmapdir = $(datadir)/gwyddion3/pixmaps
drawingsdir = $(datadir)/gwyddion3/drawings

# Our private icons (useless for other software).
pkgicondir = $(datadir)/gwyddion3/icons/hicolor

# Shared icons (application icon).
icondir = $(datadir)/icons/hicolor

# These two are now all hand-crafted.
pixmap_DATA = \
	gwyddion.ico \
	splash.png

drawings_DATA = \
	drawings/cd_line.svg \
	drawings/cd_rline.svg \
	drawings/cd_rstep.svg \
	drawings/cd_step.svg \
	drawings/circle_down.svg \
	drawings/circle_up.svg

nobase_icon_DATA =
	32x32/apps/gwyddion.png \
	48x48/apps/gwyddion.png \
	64x64/apps/gwyddion.png

# If you add new icons here
# - Add them to a `Since' line above (one Gwyddion version = one line).
# - If they have source files add them to src/ and if they can be generated automatically (the usual case) add
#   them to the built_pixmaps.
# - Run ./utils/update-icons.py from the top-level directory to update source code declarations and index.theme.
# - After that the icon should be probably set as the default for some module or elswhere in the source code.

nobase_pkgicon_DATA = \
	$(svg_pkg_icons) \
	$(handcrafted_pkg_icons) \
	index.theme

handcrafted_pkg_icons = \
	60x60/apps/gwyddion.png \
	24x24/actions/gwy_psdf_section.png

svg_pkg_icons = \
	24x24/actions/gwy_3d_base.svg \
	24x24/actions/gwy_arithmetic.svg \
	24x24/actions/gwy_binning.svg \
	20x20/actions/gwy_bold.svg \
	24x24/actions/gwy_cantilever.svg \
	24x24/actions/gwy_color_range.svg \
	24x24/actions/gwy_color_range_adaptive.svg \
	24x24/actions/gwy_color_range_auto.svg \
	24x24/actions/gwy_color_range_fixed.svg \
	24x24/actions/gwy_color_range_full.svg \
	24x24/actions/gwy_convolution.svg \
	24x24/actions/gwy_convolve.svg \
	24x24/actions/gwy_correct_affine.svg \
	24x24/actions/gwy_correlation_mask.svg \
	24x24/actions/gwy_correlation_length.svg \
	24x24/actions/gwy_crop.svg \
	24x24/actions/gwy_cross_profile.svg \
	24x24/actions/gwy_curvature.svg \
	24x24/actions/gwy_cwt.svg \
	24x24/actions/gwy_data_measure.svg \
	24x24/actions/gwy_deconvolve.svg \
	24x24/actions/gwy_disconnected.svg \
	24x24/actions/gwy_displacement_field.svg \
	24x24/actions/gwy_distance.svg \
	24x24/actions/gwy_distance_transform.svg \
	24x24/actions/gwy_distribution_angle.svg \
	24x24/actions/gwy_distribution_slope.svg \
	24x24/actions/gwy_drift.svg \
	24x24/actions/gwy_dwt.svg \
	24x24/actions/gwy_edge.svg \
	24x24/actions/gwy_enforce_distribution.svg \
	24x24/actions/gwy_entropy.svg \
	24x24/actions/gwy_extend.svg \
	24x24/actions/gwy_extract_path.svg \
	24x24/actions/gwy_facet_analysis.svg \
	24x24/actions/gwy_facet_measure.svg \
	24x24/actions/gwy_facet_level.svg \
	24x24/actions/gwy_favourite.svg \
	24x24/actions/gwy_fft.svg \
	24x24/actions/gwy_fft_2d.svg \
	24x24/actions/gwy_fft_filter_1d.svg \
	24x24/actions/gwy_fft_filter_2d.svg \
	24x24/actions/gwy_filter.svg \
	24x24/actions/gwy_find_peaks.svg \
	24x24/actions/gwy_fit_shape.svg \
	24x24/actions/gwy_fix_zero.svg \
	24x24/actions/gwy_flip_diagonally.svg \
	24x24/actions/gwy_flip_horizontally.svg \
	24x24/actions/gwy_flip_vertically.svg \
	24x24/actions/gwy_fractal.svg \
	24x24/actions/gwy_fractal_measure.svg \
	24x24/actions/gwy_fractal_correction.svg \
	24x24/actions/gwy_frequency_split.svg \
	16x16/actions/gwy_gl_material.svg \
	24x24/actions/gwy_gradient_horizontal.svg \
	24x24/actions/gwy_gradient_vertical.svg \
	24x24/actions/gwy_grain_bounding_box.svg \
	24x24/actions/gwy_grain_correlation.svg \
	24x24/actions/gwy_grain_circumcircle.svg \
	24x24/actions/gwy_grain_inscribed_box.svg \
	24x24/actions/gwy_grain_inscribed_circle.svg \
	24x24/actions/gwy_grains.svg \
	24x24/actions/gwy_grains_edge.svg \
	24x24/actions/gwy_grains_edge_remove.svg \
	24x24/actions/gwy_grains_graph.svg \
	24x24/actions/gwy_grains_measure.svg \
	24x24/actions/gwy_grains_otsu.svg \
	24x24/actions/gwy_grains_remove.svg \
	24x24/actions/gwy_grains_statistics.svg \
	24x24/actions/gwy_grains_water.svg \
	24x24/actions/gwy_graph.svg \
	24x24/actions/gwy_graph_align.svg \
	24x24/actions/gwy_graph_cut.svg \
	24x24/actions/gwy_graph_dos.svg \
	24x24/actions/gwy_graph_export_ascii.svg \
	24x24/actions/gwy_graph_export_png.svg \
	24x24/actions/gwy_graph_export_vector.svg \
	24x24/actions/gwy_graph_fd.svg \
	24x24/actions/gwy_graph_filter.svg \
	24x24/actions/gwy_graph_function.svg \
	24x24/actions/gwy_graph_halfgauss.svg \
	24x24/actions/gwy_graph_level.svg \
	24x24/actions/gwy_graph_measure.svg \
	24x24/actions/gwy_graph_palette.svg \
	24x24/actions/gwy_graph_pointer.svg \
	24x24/actions/gwy_graph_ruler.svg \
	24x24/actions/gwy_graph_statistics.svg \
	24x24/actions/gwy_graph_period_measure.svg \
	24x24/actions/gwy_graph_terrace_measure.svg \
	24x24/actions/gwy_graph_vertical.svg \
	24x24/actions/gwy_graph_zoom_fit.svg \
	24x24/actions/gwy_graph_zoom_in.svg \
	24x24/actions/gwy_graph_zoom_out.svg \
	24x24/actions/gwy_hough.svg \
	18x18/actions/gwy_hold_selection_clear.svg \
	18x18/actions/gwy_hold_selection_replace.svg \
	24x24/actions/gwy_immerse.svg \
	24x24/actions/gwy_iso_roughness.svg \
	24x24/actions/gwy_image_relation.svg \
	20x20/actions/gwy_italic.svg \
	24x24/actions/gwy_less.svg \
	24x24/actions/gwy_level.svg \
	24x24/actions/gwy_level_flatten_base.svg \
	24x24/actions/gwy_level_median.svg \
	24x24/actions/gwy_level_triangle.svg \
	24x24/actions/gwy_light_rotate.svg \
	24x24/actions/gwy_limit_range.svg \
	24x24/actions/gwy_line_level.svg \
	20x20/status/gwy_load_debug.svg \
	20x20/status/gwy_load_info.svg \
	20x20/status/gwy_load_warning.svg \
	24x24/actions/gwy_local_slope.svg \
	24x24/actions/gwy_logscale_horizontal.svg \
	24x24/actions/gwy_logscale_vertical.svg \
	24x24/actions/gwy_mark_outliers.svg \
	24x24/actions/gwy_mark_scars.svg \
	24x24/actions/gwy_mark_with.svg \
	16x16/actions/gwy_mask.svg \
	24x24/actions/gwy_mask.svg \
	24x24/actions/gwy_mask_add.svg \
	24x24/actions/gwy_mask_circle.svg \
	24x24/actions/gwy_mask_circle_exclusive.svg \
	24x24/actions/gwy_mask_circle_inclusive.svg \
	24x24/actions/gwy_mask_distribute.svg \
	24x24/actions/gwy_mask_editor.svg \
	24x24/actions/gwy_mask_exclude.svg \
	24x24/actions/gwy_mask_exclude_circle.svg \
	24x24/actions/gwy_mask_extract.svg \
	24x24/actions/gwy_mask_fill_draw.svg \
	24x24/actions/gwy_mask_fill_erase.svg \
	24x24/actions/gwy_mask_grow.svg \
	24x24/actions/gwy_mask_intersect.svg \
	24x24/actions/gwy_mask_invert.svg \
	24x24/actions/gwy_mask_line.svg \
	24x24/actions/gwy_mask_morph.svg \
	24x24/actions/gwy_mask_noisify.svg \
	24x24/actions/gwy_mask_paint_draw.svg \
	24x24/actions/gwy_mask_paint_erase.svg \
	24x24/actions/gwy_mask_rect_exclusive.svg \
	24x24/actions/gwy_mask_rect_inclusive.svg \
	24x24/actions/gwy_mask_remove.svg \
	24x24/actions/gwy_mask_set.svg \
	24x24/actions/gwy_mask_shift.svg \
	24x24/actions/gwy_mask_shrink.svg \
	24x24/actions/gwy_mask_subtract.svg \
	24x24/actions/gwy_mask_thin.svg \
	24x24/actions/gwy_measure_lattice.svg \
	24x24/actions/gwy_merge.svg \
	24x24/actions/gwy_mfm_convert_to_force.svg \
	24x24/actions/gwy_mfm_current_line.svg \
	24x24/actions/gwy_mfm_field_find_shift.svg \
	24x24/actions/gwy_mfm_field_shift.svg \
	24x24/actions/gwy_mfm_parallel.svg \
	24x24/actions/gwy_mfm_perpendicular.svg \
	24x24/actions/gwy_more.svg \
	24x24/actions/gwy_mutual_crop.svg \
	24x24/actions/gwy_neural_apply.svg \
	24x24/actions/gwy_neural_train.svg \
	24x24/actions/gwy_next.svg \
	24x24/actions/gwy_null_offsets.svg \
	16x16/actions/gwy_palettes.svg \
	24x24/actions/gwy_palettes.svg \
	24x24/actions/gwy_path_level.svg \
	24x24/actions/gwy_perspective_distort.svg \
	24x24/actions/gwy_pointer_measure.svg \
	24x24/actions/gwy_poly_distort.svg \
	24x24/actions/gwy_polynom.svg \
	24x24/actions/gwy_polynom_level.svg \
	24x24/actions/gwy_previous.svg \
	24x24/actions/gwy_profile.svg \
	24x24/actions/gwy_profile_multiple.svg \
	24x24/actions/gwy_psdf_log_phi.svg \
	24x24/actions/gwy_pygwy.svg \
	24x24/actions/gwy_rasterize.svg \
	24x24/actions/gwy_radial_profile.svg \
	24x24/actions/gwy_rank_filter.svg \
	24x24/actions/gwy_remove_under_mask.svg \
	24x24/actions/gwy_revolve_arc.svg \
	24x24/actions/gwy_revolve_sphere.svg \
	24x24/actions/gwy_rotate_180.svg \
	24x24/actions/gwy_rotate_3d.svg \
	24x24/actions/gwy_rotate.svg \
	24x24/actions/gwy_rotate_90_ccw.svg \
	24x24/actions/gwy_rotate_90_cw.svg \
	24x24/actions/gwy_scale.svg \
	24x24/actions/gwy_scale_horizontally.svg \
	24x24/actions/gwy_scale_vertically.svg \
	24x24/actions/gwy_scars.svg \
	18x18/actions/gwy_scientific_number_format.svg \
	24x24/actions/gwy_selections.svg \
	24x24/actions/gwy_shader.svg \
	24x24/actions/gwy_spectrum.svg \
	24x24/actions/gwy_spot_remove.svg \
	24x24/actions/gwy_square_samples.svg \
	24x24/actions/gwy_stat_quantities.svg \
	24x24/actions/gwy_stitch.svg \
	24x24/actions/gwy_straighten_path.svg \
	20x20/actions/gwy_subscript.svg \
	20x20/actions/gwy_superscript.svg \
	24x24/actions/gwy_synthetic_anneal.svg \
	24x24/actions/gwy_synthetic_ballistic_deposition.svg \
	24x24/actions/gwy_synthetic_brownian_motion.svg \
	24x24/actions/gwy_synthetic_columnar.svg \
	24x24/actions/gwy_synthetic_diffusion.svg \
	24x24/actions/gwy_synthetic_discs.svg \
	24x24/actions/gwy_synthetic_domains.svg \
	24x24/actions/gwy_synthetic_dunes.svg \
	24x24/actions/gwy_synthetic_fibres.svg \
	24x24/actions/gwy_synthetic_lattice.svg \
	24x24/actions/gwy_synthetic_line_noise.svg \
	24x24/actions/gwy_synthetic_noise.svg \
	24x24/actions/gwy_synthetic_objects.svg \
	24x24/actions/gwy_synthetic_particles.svg \
	24x24/actions/gwy_synthetic_pattern.svg \
	24x24/actions/gwy_synthetic_phases.svg \
	24x24/actions/gwy_synthetic_pileup.svg \
	24x24/actions/gwy_synthetic_plateaus.svg \
	24x24/actions/gwy_synthetic_spectral.svg \
	24x24/actions/gwy_synthetic_turing_pattern.svg \
	24x24/actions/gwy_synthetic_waves.svg \
	24x24/actions/gwy_terrace_measure.svg \
	24x24/actions/gwy_tilt.svg \
	24x24/actions/gwy_tip_dilation.svg \
	24x24/actions/gwy_tip_erosion.svg \
	24x24/actions/gwy_tip_estimation.svg \
	24x24/actions/gwy_tip_indent_analyze.svg \
	24x24/actions/gwy_tip_lateral_force.svg \
	24x24/actions/gwy_tip_map.svg \
	24x24/actions/gwy_tip_model.svg \
	24x24/actions/gwy_tip_pid.svg \
	24x24/actions/gwy_translate_periodically.svg \
	24x24/actions/gwy_unrotate.svg \
	24x24/actions/gwy_value_invert.svg \
	24x24/actions/gwy_volume.svg \
	24x24/actions/gwy_volume_arithmetic.svg \
	24x24/actions/gwy_volume_calibrate.svg \
	24x24/actions/gwy_volume_dimensions.svg \
	24x24/actions/gwy_volume_fd.svg \
	24x24/actions/gwy_volume_invert.svg \
	24x24/actions/gwy_volume_kmeans.svg \
	24x24/actions/gwy_volume_kmedians.svg \
	24x24/actions/gwy_volume_line_stats.svg \
	24x24/actions/gwy_volume_plane_stats.svg \
	24x24/actions/gwy_volume_slice.svg \
	24x24/actions/gwy_volume_swap_axes.svg \
	24x24/actions/gwy_volumize.svg \
	24x24/actions/gwy_volumize_layers.svg \
	24x24/actions/gwy_wrap_value.svg \
	24x24/actions/gwy_xy_denoise.svg \
	24x24/actions/gwy_xyzize.svg \
	24x24/actions/gwy_zero_maximum.svg \
	24x24/actions/gwy_zero_mean.svg \
	24x24/actions/gwy_zero_under_mask.svg \
	24x24/actions/gwy_zoom_1_1.svg \
	24x24/actions/gwy_zoom_fit.svg \
	24x24/actions/gwy_zoom_in.svg \
	24x24/actions/gwy_zoom_out.svg \
	16x16/actions/gtk-quit.png \
	20x20/actions/gtk-apply.png \
	20x20/actions/gtk-cancel.png \
	20x20/actions/gtk-close.png \
	20x20/actions/gtk-ok.png \
	24x24/actions/gtk-edit.png

# Note: splash screen source is too big to distribute in every tarball, check it out from Subversion

EXTRA_DIST = \
	gwyddion.icns \
	$(handcrafted_icon_sources) \
	$(nobase_pkgicon_DATA) \
	$(nobase_icon_DATA) \
	$(drawings_DATA) \
	$(pixmap_DATA)

list-pkg-icons:
	@echo ICONLIST $(svg_pkg_icons) $(handcrafted_pkg_icons)

